Subject: bug#41571: 27.0.91; "(elisp) Interpolated Strings" is under "(elisp) Text"

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 May 2020 09:58:47 +0300

> From: "Basil L. Contovounesios" <[email-masked]>
> Date: Thu, 28 May 2020 00:57:34 +0100
> 
> The Elisp manual node "(elisp) Interpolated Strings", which documents
> the function format-spec and is new in Emacs 27, is currently included
> under "(elisp) Text", which opens with:
> 
>   This chapter describes the functions that deal with the text in a
>   buffer.  Most examine, insert, or delete text in the current buffer,
>   often operating at point or on text adjacent to point.  Many are
>   interactive.  All the functions that change the text provide for undoing
>   the changes (*note Undo).
> 
> I think a more appropriate location would be following "(elisp)
> Formatting Strings", or at least under "(elisp) Strings and Characters".

I agree, but can we please take this opportunity to improve that
section?  First, it uses passive tense too much for no real reason
AFAICT.  More importantly, the description of the feature is not clear
enough.  I had trouble understanding even the "trivial example" it
shows, let alone all the rest.  The very purpose of the feature is not
really obvious after reading the text.

Thanks.